Bug 479735 - ncpmount does not properly write "user" argument to /etc/mtab
ncpmount does not properly write "user" argument to /etc/mtab
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ncpfs (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 14:43 EST by Steve Tate
Modified: 2011-06-27 10:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (799 bytes, patch)
2011-04-26 06:47 EDT, Vitezslav Crhonek
no flags Details | Diff

  None (edit)
Description Steve Tate 2009-01-12 14:43:27 EST
Description of problem:

ncpmount does not properly write user argument to /etc/mtab, meaning that user-mounted ncp volumes cannot be unmounted by that user.

Version-Release number of selected component (if applicable):

ncpfs-2.2.6-10.fc9.i386

How reproducible:

Every time

Steps to Reproduce:
1.  Add an ncp volume to /etc/fstab, marked as user mountable, like this:
       WIN/USER.BLAH.BLAH /novell	ncp	noauto,user,ipserver=example.com	0 0

2.  Mount as a regular user with "mount /novell" - after entering password, this works as expected.

3.  Try to unmount with "umount /novell" and get the error message
umount: only root can unmount WIN/USER.BLAH.BLAH from /novell
  

Actual results:

umount fails as explained above.  the line in /etc/mtab looks like this:
WIN/USER.BLAH.BLAH /novell ncpfs rw,noexec,nosuid,nodev 0 0



Expected results:

The /etc/mtab line should have the "user=xxx" argument, where "xxx" is the user that did the mount.  In fact, if you go in as root and simply edit the /etc/mtab to add this parameter, then umount will work as expected.


Additional info:
Comment 1 Steve Tate 2009-01-12 14:45:15 EST
Just tried using "ncpumount" directly, and that DOES unmount the volume;  however, it still should be possible using "umount", and the only thing lacking is fixing the mount recording in /etc/mtab
Comment 2 Bug Zapper 2009-11-18 04:45:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Vitezslav Crhonek 2009-12-03 06:51:40 EST
Changing Version field to rawhide, this issue is still present.

Using ncpumount is good workaround (ncpumount checks the uid of user who did the mount and if the current user has same uid or current user is root, it does umount the volume).
Comment 4 Bug Zapper 2010-03-15 08:23:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Vitezslav Crhonek 2011-04-26 06:47:24 EDT
Created attachment 494870 [details]
proposed patch

Proposed patch attached.

Are you willing to test it? It seems to work, but I don't have access to real NetWare (tested just with Mars_nwe emulator).

SRPM and i686/x86_64 build available here:
http://vcrhonek.fedorapeople.org/ncpfs/
Comment 6 Bug Zapper 2011-06-02 14:18:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 10:05:11 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.